{
	"artifacts" : 
	[
		{
			"path" : "MyService.exe"
		},
		{
			"path" : "MyService.pdb"
		}
	],
	"backtrace" : 2,
	"backtraceGraph" : 
	{
		"commands" : 
		[
			"_add_executable",
			"add_executable",
			"target_link_libraries",
			"set_target_properties",
			"include",
			"_find_package",
			"find_package",
			"boostcfg_find_component",
			"find_dependency",
			"include_directories"
		],
		"files" : 
		[
			"C:/Users/an/.vcpkg-clion/vcpkg/scripts/buildsystems/vcpkg.cmake",
			"CMakeLists.txt",
			"C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/share/boost_thread/boost_thread-targets.cmake",
			"C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/share/boost_thread/boost_thread-config.cmake",
			"C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/share/boost/BoostConfig.cmake",
			"C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/share/boost/vcpkg-cmake-wrapper.cmake",
			"C:/Program Files/JetBrains/CLion 2024.3/bin/cmake/win/x64/share/cmake-3.30/Modules/FindBoost.cmake",
			"C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/share/boost_atomic/boost_atomic-targets.cmake",
			"C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/share/boost_atomic/boost_atomic-config.cmake",
			"C:/Program Files/JetBrains/CLion 2024.3/bin/cmake/win/x64/share/cmake-3.30/Modules/CMakeFindDependencyMacro.cmake",
			"C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/share/boost_algorithm/boost_algorithm-targets.cmake",
			"C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/share/boost_algorithm/boost_algorithm-config.cmake",
			"C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/share/boost_date_time/boost_date_time-config.cmake"
		],
		"nodes" : 
		[
			{
				"file" : 1
			},
			{
				"command" : 1,
				"file" : 1,
				"line" : 12,
				"parent" : 0
			},
			{
				"command" : 0,
				"file" : 0,
				"line" : 598,
				"parent" : 1
			},
			{
				"command" : 2,
				"file" : 1,
				"line" : 14,
				"parent" : 0
			},
			{
				"command" : 6,
				"file" : 1,
				"line" : 6,
				"parent" : 0
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 813,
				"parent" : 4
			},
			{
				"file" : 5,
				"parent" : 5
			},
			{
				"command" : 5,
				"file" : 5,
				"line" : 3,
				"parent" : 6
			},
			{
				"file" : 6,
				"parent" : 7
			},
			{
				"command" : 6,
				"file" : 6,
				"line" : 610,
				"parent" : 8
			},
			{
				"command" : 4,
				"file" : 0,
				"line" : 813,
				"parent" : 9
			},
			{
				"file" : 5,
				"parent" : 10
			},
			{
				"command" : 5,
				"file" : 5,
				"line" : 3,
				"parent" : 11
			},
			{
				"file" : 4,
				"parent" : 12
			},
			{
				"command" : 7,
				"file" : 4,
				"line" : 128,
				"parent" : 13
			},
			{
				"command" : 6,
				"file" : 4,
				"line" : 67,
				"parent" : 14
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 859,
				"parent" : 15
			},
			{
				"file" : 3,
				"parent" : 16
			},
			{
				"command" : 4,
				"file" : 3,
				"line" : 87,
				"parent" : 17
			},
			{
				"file" : 2,
				"parent" : 18
			},
			{
				"command" : 3,
				"file" : 2,
				"line" : 60,
				"parent" : 19
			},
			{
				"command" : 8,
				"file" : 3,
				"line" : 13,
				"parent" : 17
			},
			{
				"command" : 6,
				"file" : 9,
				"line" : 76,
				"parent" : 21
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 859,
				"parent" : 22
			},
			{
				"file" : 8,
				"parent" : 23
			},
			{
				"command" : 4,
				"file" : 8,
				"line" : 33,
				"parent" : 24
			},
			{
				"file" : 7,
				"parent" : 25
			},
			{
				"command" : 3,
				"file" : 7,
				"line" : 60,
				"parent" : 26
			},
			{
				"command" : 8,
				"file" : 3,
				"line" : 37,
				"parent" : 17
			},
			{
				"command" : 6,
				"file" : 9,
				"line" : 76,
				"parent" : 28
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 859,
				"parent" : 29
			},
			{
				"file" : 12,
				"parent" : 30
			},
			{
				"command" : 8,
				"file" : 12,
				"line" : 10,
				"parent" : 31
			},
			{
				"command" : 6,
				"file" : 9,
				"line" : 76,
				"parent" : 32
			},
			{
				"command" : 5,
				"file" : 0,
				"line" : 859,
				"parent" : 33
			},
			{
				"file" : 11,
				"parent" : 34
			},
			{
				"command" : 4,
				"file" : 11,
				"line" : 61,
				"parent" : 35
			},
			{
				"file" : 10,
				"parent" : 36
			},
			{
				"command" : 3,
				"file" : 10,
				"line" : 60,
				"parent" : 37
			},
			{
				"command" : 9,
				"file" : 1,
				"line" : 9,
				"parent" : 0
			}
		]
	},
	"compileGroups" : 
	[
		{
			"compileCommandFragments" : 
			[
				{
					"fragment" : "/DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1"
				}
			],
			"defines" : 
			[
				{
					"backtrace" : 3,
					"define" : "BOOST_ATOMIC_DYN_LINK"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_ATOMIC_NO_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_CHRONO_DYN_LINK"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_CHRONO_NO_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_CONTAINER_DYN_LINK"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_CONTAINER_NO_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_DATE_TIME_DYN_LINK"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_DATE_TIME_NO_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_THREAD_DYN_LINK"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_THREAD_NO_LIB"
				},
				{
					"backtrace" : 3,
					"define" : "BOOST_THREAD_USE_DLL"
				}
			],
			"includes" : 
			[
				{
					"backtrace" : 39,
					"isSystem" : true,
					"path" : "C:/Users/an/.vcpkg-clion/vcpkg/installed/x64-windows/include"
				}
			],
			"language" : "CXX",
			"languageStandard" : 
			{
				"backtraces" : 
				[
					3,
					3,
					3,
					3,
					3
				],
				"standard" : "11"
			},
			"sourceIndexes" : 
			[
				0,
				1
			]
		}
	],
	"id" : "MyService::@6890427a1f51a3e7e1df",
	"link" : 
	{
		"commandFragments" : 
		[
			{
				"fragment" : "/DWIN32 /D_WINDOWS /W3 /GR /EHsc /MDd /Zi /Ob0 /Od /RTC1",
				"role" : "flags"
			},
			{
				"fragment" : "/machine:x64 /debug /INCREMENTAL /subsystem:console",
				"role" : "flags"
			},
			{
				"backtrace" : 3,
				"fragment" : "C:\\Users\\an\\.vcpkg-clion\\vcpkg\\installed\\x64-windows\\debug\\lib\\boost_thread-vc143-mt-gd-x64-1_86.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 20,
				"fragment" : "C:\\Users\\an\\.vcpkg-clion\\vcpkg\\installed\\x64-windows\\debug\\lib\\boost_atomic-vc143-mt-gd-x64-1_86.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 27,
				"fragment" : "synchronization.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 20,
				"fragment" : "C:\\Users\\an\\.vcpkg-clion\\vcpkg\\installed\\x64-windows\\debug\\lib\\boost_chrono-vc143-mt-gd-x64-1_86.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 3,
				"fragment" : "C:\\Users\\an\\.vcpkg-clion\\vcpkg\\installed\\x64-windows\\debug\\lib\\boost_system-vc143-mt-gd-x64-1_86.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 20,
				"fragment" : "C:\\Users\\an\\.vcpkg-clion\\vcpkg\\installed\\x64-windows\\debug\\lib\\boost_date_time-vc143-mt-gd-x64-1_86.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 20,
				"fragment" : "C:\\Users\\an\\.vcpkg-clion\\vcpkg\\installed\\x64-windows\\debug\\lib\\boost_container-vc143-mt-gd-x64-1_86.lib",
				"role" : "libraries"
			},
			{
				"backtrace" : 38,
				"fragment" : "C:\\Users\\an\\.vcpkg-clion\\vcpkg\\installed\\x64-windows\\debug\\lib\\boost_regex-vc143-mt-gd-x64-1_86.lib",
				"role" : "libraries"
			},
			{
				"fragment" : "kernel32.lib user32.lib gdi32.lib winspool.lib shell32.lib ole32.lib oleaut32.lib uuid.lib comdlg32.lib advapi32.lib",
				"role" : "libraries"
			}
		],
		"language" : "CXX"
	},
	"name" : "MyService",
	"nameOnDisk" : "MyService.exe",
	"paths" : 
	{
		"build" : ".",
		"source" : "."
	},
	"sourceGroups" : 
	[
		{
			"name" : "Source Files",
			"sourceIndexes" : 
			[
				0,
				1
			]
		}
	],
	"sources" : 
	[
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "main.cpp",
			"sourceGroupIndex" : 0
		},
		{
			"backtrace" : 2,
			"compileGroupIndex" : 0,
			"path" : "service.cpp",
			"sourceGroupIndex" : 0
		}
	],
	"type" : "EXECUTABLE"
}
